AuthenticationException (GNU cryptographic primitives and tools)
Keywords: javax.security.sasl.AuthenticationException,AuthenticationException class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.sasl
Class AuthenticationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--javax.security.sasl.SaslException
                              |
                              +--javax.security.sasl.AuthenticationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IllegalMechanismStateException, NoSuchUserException

public class AuthenticationException
extends SaslException

This exception is thrown by a SASL mechanism implementation to indicate that the SASL exchange has failed due to reasons related to authentication, such as an invalid identity, passphrase, or key.

Note that the lack of an `AuthenticationException` does not mean that the failure was not due to an authentication error. A SASL mechanism implementation might throw the more general `SaslException` instead of `AuthenticationException` if it is unable to determine the nature of the failure, or if does not want to disclose the nature of the failure, for example, due to security reasons.

See Also:
  Serialized Form

Constructor Summary
`AuthenticationException()` Constructs a new instance of `AuthenticationException`.
`AuthenticationException(java.lang.String detail)` Constructs a new instance of `AuthenticationException` with a detailed message.
`AuthenticationException(java.lang.String detail, java.lang.Throwable ex)` Constructs a new instance of `AuthenticationException` with a detailed message and a root exception.

Methods inherited from class javax.security.sasl.SaslException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationException

    public AuthenticationException()

  Constructs a new instance of `AuthenticationException`. The root exception and the detailed message are `null`.

### AuthenticationException

    public AuthenticationException(java.lang.String detail)

  Constructs a new instance of `AuthenticationException` with a detailed message. The root exception is `null`.

Parameters:
  `detail` - a possibly `null` string containing details of the exception.
See Also:
  `Throwable.getMessage()`

### AuthenticationException

    public AuthenticationException(java.lang.String detail,
                                   java.lang.Throwable ex)

  Constructs a new instance of `AuthenticationException` with a detailed message and a root exception.

Parameters:
  `detail` - a possibly `null` string containing details of the exception.
  `ex` - a possibly `null` root exception that caused this exception.
See Also:
  `Throwable.getMessage()`, `SaslException.getCause()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.